[Unit]
Description=Jenkins Continuous Integration Server
Requires=network.target
After=network.target

[Service]
Type=notify
NotifyAccess=main
ExecStart=/usr/bin/jenkins
Restart=on-failure
SuccessExitStatus=143

User=jenkins
Group=jenkins

# Directory where Jenkins stores its configuration and workspaces
Environment="JENKINS_HOME={{ user_vars.install.home }}"
WorkingDirectory={{ user_vars.install.home }}

# Location of the exploded WAR
Environment="JENKINS_WEBROOT=%C/jenkins/war"

# Arguments for the Jenkins JVM
Environment="JAVA_OPTS=-Djava.awt.headless=true -DBITBUCKET_PROJECT={{ lookup('env','BITBUCKET_PROJECT') }} -DPIPELINES_REPO={{ lookup('env','PIPELINES_REPO') }}"

Environment="JENKINS_PORT=8080"

[Install]
WantedBy=multi-user.target